import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsIpListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.DHCPReservationAPIResultNM]
    entry_count: int


class CloudapiVinsIpListProtocol(_base.BasePostAPIFunctionProtocol):
    def ip_list(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsIpListResultModel:
        ...
